<script lang="ts">
  import Bullhead from "./lib/Bullhead.svelte";

  // export let settings: GameSettings;
  // export let state: GameState;
</script>

<div class="reference panel">
  <h3>Selecting cards</h3>
  <p>
    Each player selects one of their cards. The cards are revealed after all
    players have selected.
  </p>

  <h3>Placing cards</h3>
  <p>
    The player who played the lowest card adds his card to the row where the
    rightmost card is lower than the player's card and closest in value to the
    player's card.
  </p>

  <h3>Taking cards</h3>
  <p>
    If a player's card is the sixth card in the row, the player must take the
    five previous cards.
  </p>
  <p>
    If a player's card is lower than the rightmost card in every row: The player
    takes all the cards in one of the rows, and places their card in the empty
    row.
  </p>

  <h3>Game end</h3>
  <p>
    The game ends at the end of a round if any player has collected 66 or more

    <span class="bullhead">
      <Bullhead />
    </span>'s.
  </p>
</div>

<style>
  .reference {
    background-color: linen;
    height: 100%;
    overflow-y: auto;

    font-size: 85%;
  }
  h3 {
    font-weight: 500;
  }

  .bullhead {
    color: var(--gs6-bullheaded-purple);
  }
</style>
